#
# spec file for package mht2htm
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:		mht2htm
Version:	1.7.7.97
Release:	1.47
Summary:	Conversion from *.mht files to *.htm files
Source:		http://sourceforge.net/projects/%{name}/files/%{name}/%{version}%20%2819.dec.2012%29/%{name}-%{version}_19.dec.2012.source.zip
Source1:        http://sourceforge.net/projects/%{name}/files/%{name}/%{version}%20%2819.dec.2012%29/%{name}-%{version}_19.dec.2012.help.zip
Source2:        %{name}-README
URL:		http://pgm.bpalanka.com/
Group:		Productivity/Office/Other
License:	GPL-3.0+
BuildRoot:	%{_tmppath}/build-%{name}-%{version}
BuildRequires:  unzip fpc lazarus
BuildRequires:  xorg-x11-devel
BuildRequires:  cairo-devel
BuildRequires:  libexpat-devel
BuildRequires:  update-desktop-files
BuildRequires:  ImageMagick fdupes
#Requires:       

%description
mht2htm extracts all files from mht in single dir so you can 
open it on any OS. Also works with .eml, .msg, .nws... files.

%prep
%setup -q -c "%{name}-%{version}" -a 1

%build
%__sed -i 904,905"s|ExtractFilePath(Application\.ExeName)"\+\'help\'"|\'%{_defaultdocdir}/%{name}/help\'|" main.pas
lazbuild -r %{name}.lpi

%install
%__install -Dm 0755 %{name} %{buildroot}%{_bindir}/%{name}
%__install -Dm 0644 %{SOURCE2} %{buildroot}%{_defaultdocdir}/%{name}/README
%__cp -a help %{buildroot}%{_defaultdocdir}/%{name}
convert %{name}.ico\[0\] $RPM_SOURCE_DIR/%{name}.png
%suse_update_desktop_file -c %{name} %{name} "MHT to HTM file converter" "%{name} %f" %{name}
%suse_update_desktop_file -i -C "Conversion from *.mht files to *.htm files" %{name} GTK Utility WebUtility
%__sed -i '/^Icon=/aMimeType=message/rfc822;application/x-mimearchive;\nStartupNotify=true' %{buildroot}%{_datadir}/applications/%{name}.desktop
%fdupes %{buildroot}%{_datadir}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%{_bindir}/%{name}*
%{_defaultdocdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog

